import request from '@/utils/request'

// 查询车辆列表
export function listDibangCar(query) {
  return request({
    url: '/weighbridge/dibangCar/list',
    method: 'get',
    params: query
  })
}

// 查询车辆详细
export function getDibangCar(carId) {
  return request({
    url: '/weighbridge/dibangCar/' + carId,
    method: 'get'
  })
}

// 新增车辆
export function addDibangCar(data) {
  return request({
    url: '/weighbridge/dibangCar',
    method: 'post',
    data: data
  })
}

// 修改车辆
export function updateDibangCar(data) {
  return request({
    url: '/weighbridge/dibangCar',
    method: 'put',
    data: data
  })
}

// 删除车辆
export function delDibangCar(carId) {
  return request({
    url: '/weighbridge/dibangCar/' + carId,
    method: 'delete'
  })
}
